Name:    	RutilT
Summary: 	RutilT utility for configuring Wireless Cards.
Version: 	v0.18
Release: 	2
License: 	GPL
Group:   	Internet
Url:     	http://bonrom.cbbknet.com/
Source0:	%{name}%{version}.tar.gz
Source1: 	%{name}.desktop
Patch0:		rutilt.desktop.diff
BuildRoot: 	%{_tmppath}/build-root-%{name}

%description
RutilT is a Utility for configuring Ralink Wireless Cards when using the 
rt2500/rt2570/rt61/rt73-"legacy"-Drivers.

For some reason profiles don't always save from certain areas so a work 
around is 1. click the [Profiles] tab, 2. click the (Edit) button and 
last click the (OK) button. ... finally, it saves to ~/.config/rutil/*

%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n %{name}%{version}
find configure.sh -type f -exec sed -i 's/man_prefix=share\/man\/man1/man_prefix=man\/man1/' {} \;
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure.sh --kernel_sources=/usr/src/linux --prefix=/usr --launcher=built-in
%patch0

%build
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
/*
